Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules.jffi
Class FastIntInvokerFactory

    java.lang.Object
      org.python.modules.jffi.FastIntInvokerFactory

    public class FastIntInvokerFactory

extends Object

A factory which generates `Invoker` instances that are optimized for 32 bit integer and float parameters / result types with 3 or less parameters. Technical background: Instead of trying to cram all calls down a generic call path, then figuring out how to convert the parameters in the native code on each call, jffi supplies arity and type specific call paths that can be optimized ahead of time by the native code. The downside of this approach is more java code to wire up the functions and call them using the arity+type specific paths, but in the case of int and float parameters, it can result in more than a 100% speed boost over the generic path.

Method Summary
`static FastIntInvokerFactory` | `getFactory()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFactory

    public static final FastIntInvokerFactory getFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage